Bug 1126542 - spacecmd system_createpackageprofile error (syntax check)
Summary: spacecmd system_createpackageprofile error (syntax check)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 2.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space27
TreeView+ depends on / blocked
 
Reported: 2014-08-04 17:20 UTC by James Radtke
Modified: 2017-09-28 18:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 10:18:23 UTC


Attachments (Terms of Use)

Description James Radtke 2014-08-04 17:20:31 UTC
Description of problem:
When I attempt to run spacecmd system_createpackageprofile non-interactively, it produces the following error:

# spacecmd system_createpackageprofile pdgllvusgadm01.company.com -n 'pdgllvusgadm01' -d 'pdgllvusgadm01'
usage: spacecmd [options] [command]

spacecmd: error: no such option: -n

Interactively, the command will request the information:
Profile Label: pdgllvusgadm01
Description: pdgllvusgadm01 <CTRL-D>

Version-Release number of selected component (if applicable):
# rpm -qa spacecmd
spacecmd-1.9.4-2.el5

How reproducible:
Every time

Steps to Reproduce:
1. spacecmd system_createpackageprofile pdgllvusgadm01.company.com -n 'pdgllvusgadm01' -d 'pdgllvusgadm01'
2.
3.

Actual results:
spacecmd: error: no such option: -n

Expected results:
INFO: Created package profile 'pdgllvusgadm01'


Additional info:
I have attempted to use double-quotes and modifying the order which I provide the parameters for the command.

Comment 1 Ivana Varekova 2014-08-13 13:50:25 UTC
Try to use 
spacecmd system_createpackageprofile -- pdgllvusgadm01.company.com -n 'pdgllvusgadm01' -d 'pdgllvusgadm01'
(see man bash)

Comment 2 James Radtke 2014-08-13 18:29:17 UTC
That was it - I am sorry about that.  Is it possible to retract a BZ?
I completely forgot about the '--'

Comment 3 Ivana Varekova 2014-08-15 10:18:23 UTC
No problem, I close this bz.

Comment 4 Eric Herget 2017-09-28 18:07:10 UTC
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.


Note You need to log in before you can comment on or make changes to this bug.